$1 PROCEDURE [dbo].[FastSell_v2_FiyatDegisikleriRapor]
@baslangic_tarih datetime,
@bitis_tarih datetime,
@magaza_no varchar(25)=''
AS
SELECT
	fid_evrak_seri_no+'-'+cast(fid_evrak_sira_no as varchar(25)) as [Evrak No],
	fid_evrak_tarih as [Evrak Tarih],
	fid_belge_no as [Belge No],
	fid_stok_kod as [Stok Kod],
	sto_isim as [Stok İsim],
	fid_depo_no as [Depo No],
	dbo.fn_DepodakiMiktar(fid_stok_kod,0,GETDATE()) as [Depodaki Miktar],
	fid_tarih as [Tarih],
	fid_saat as [Saat],
	sfl_aciklama as [Hangi Fiyat],
	fid_eskifiy_tutar as [Eski Fiyat],
	fid_yenifiy_tutar as [Yeni Fiyat],
	CASE WHEN fid_yapildi_fl=1 THEN 'Evet' Else 'Hayır' End as [Yapıldı Mı?],
	ROUND(((fid_yenifiy_tutar-fid_eskifiy_tutar)/isnull(nullif(fid_eskifiy_tutar,0),1))*100,2)  [Değişim %],
	fid_yenifiy_tutar-fid_eskifiy_tutar [Fark],
	fid_yenifiy_tutar as [Aktif Fiyat]
FROM STOK_FIYAT_DEGISIKLIKLERI
LEFT OUTER JOIN STOK_SATIS_FIYAT_LISTE_TANIMLARI ON fid_fiyat_no=sfl_sirano
LEFT OUTER JOIN STOKLAR ON sto_kod=fid_stok_kod 
WHERE fid_tarih>=CAST(@baslangic_tarih as date) AND fid_tarih<=CAST(@bitis_tarih as date)
AND (fid_depo_no=CAST(@magaza_no as int) or @magaza_no='')